# Class FileUploadIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.impl.FileUploadIOException

All Implemented Interfaces:
  `Serializable`

public class FileUploadIOException extends IOException
This exception is thrown for hiding an inner `FileUploadException` in an `IOException`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileUploadIOException(FileUploadException pCause)`
Creates a `FileUploadIOException` with the given cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Returns the exceptions cause.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileUploadIOException

public FileUploadIOException(FileUploadException pCause)
Creates a `FileUploadIOException` with the given cause.

Parameters:
  `pCause` - The exceptions cause, if any, or null.

## Method Details

### getCause

public Throwable getCause()
Returns the exceptions cause.

Overrides:
  `getCause` in class `Throwable`
Returns:
  The exceptions cause, if any, or null.